Skip to main content
POST
Ingest
Ingest is experimental: this endpoint may change or stop working without notice. See Ingesting Source Records.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
string
required

ID of the workspace

Body

application/json

The records to ingest

records
IngestRecordCreate · object[]
required
Required array length: 1 - 100 elements
derive
enum<string>
default:now

later stores the records without queuing derivation; POST /ingest/derive queues them

Available options:
now,
later

Response

Successful Response

One outcome per record, in request order.

records
IngestRecordResult · object[]
required
receipt
string | null

Reserved for a consistency token